#include <stdio.h>
#include "stm32f0xx_hal.h"

// ---------------    Device address     ---------------
#define SLAVE_ADDR_ACC    0x3C
#define READ              0x01
#define WRITE             0x00
// ---------------    OLED all command   ---------------
#define OLED_COMMAND			          0x80
#define OLED_DATA			              0x40
#define OLED_DISPLAY_ON					    0xAF
#define OLED_DISPLAY_OFF				    0xAE
#define OLED_NORMAL_DISPLAY				  0xA6

void sendcommand(unsigned char com);
void SendChar(unsigned char data);
void displayOn(void);
void displayOff(void);
void setXY(unsigned char row,unsigned char col);
void init_OLED(void);
void clear_display(void);
void init_OLED(void);
/****************  OLED Function     *******************/
void OLCD_write_string(int X, int Y, char *string);
/*******************************************************/